<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/2005/Atom" xmlns:y="urn:yahoo:lcl" xmlns:opensearch="http://a9.com/-/spec/opensearch/1.1/">
	<xsl:template match="/">
		<feed>
			<title>Yahoo Local Search Results</title>
			<opensearch:totalResults>
				<xsl:value-of select="y:ResultSet/@totalResultsAvailable"/>
			</opensearch:totalResults>
			<xsl:apply-templates select="y:ResultSet/y:Result"/>
		</feed>
	</xsl:template>
	<xsl:template match="y:ResultSet/y:Result">
		<entry>
			<title>
					<xsl:value-of select="y:Title"/>
			</title>
			<link rel="alternate">
				<xsl:attribute name="href">
					<xsl:value-of select="y:Url"/>
				</xsl:attribute>
			</link>
			<xsl:copy-of select="./*"/>
		</entry>
	</xsl:template>
</xsl:stylesheet>