-- * ============================================================================
-- * (C) Copyright IBM Corporation 2006, 2007.  All Rights Reserved.
-- * 
-- * You may only copy, modify, and distribute these samples internally.
-- * These samples have not been tested under all conditions and are provided
-- * to you by IBM without obligation of support of any kind.
-- *
-- * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
-- * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
-- * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
-- * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
-- * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
-- * ============================================================================


CREATE TABLE employees (
  username varchar(32) NOT NULL,
  firstname varchar(56) NOT NULL,
  lastname varchar(56) NOT NULL,
  location varchar(56) NOT NULL,
  phonenumber varchar(56) NOT NULL,
  PRIMARY KEY  (username)
);

INSERT INTO employees (username, firstname, lastname, location, phonenumber) 
    VALUES ('JerryCuomo', 'Jerry', 'Cuomo', 'North', '1-XXX-XXX-XXXX'),
           ('JasonMcGee', 'Jason', 'McGee', 'East', '1-XXX-XXX-XXXX');

CREATE TABLE MyOrder (
  id int NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1),
  orderName varchar(32) NOT NULL,
  price varchar(16) NOT NULL,
  approved varchar(8) NOT NULL,
  comment varchar(64) NOT NULL,
  delivery varchar(64) NOT NULL,
  updated TIMESTAMP NOT NULL,
  PRIMARY KEY  (id)
);
